﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1104: (1 year) VER VISA /9500+5Hd
DATE:                  2018-08-02 08:22:57
AUTHOR:                Fluke
REVISION:              $Revision: 25078 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       204
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
CONFIGURATION:         Datron 9510 on channel 5
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000 Series Digital Storage Oscilloscopes Service Manual
#      PN 077-0772-01.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         60MH                         1Vpp           LS    S
  1.004  M9500                       CH2
  1.005  9500         60MH                         1Vpp           LS    S
  1.006  M9500                       CH3
  1.007  9500         60MH                         1Vpp           LS    S
  1.008  M9500                       CH4
  1.009  9500         60MH                         1Vpp           LS    S
  1.010  M9500                       CH5
  1.011  9500         60MH                         1Vpp           LS    S
  1.012  ENDIF

  1.013  ASK-   R   Q N              P                                     V

  1.014  IF           NOT(VERSIONCHECK("8.0"))
  1.015  END
  1.016  ENDIF

  1.017  CALL         Sub Display Copyright
  1.018  CALL         Sub High Voltage Safety Warning
  1.019  CALL         Sub Select Failed Test Mode
  1.020  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.021  DISP         Ensure a minimum DUT warm-up time of at least
  1.021  DISP         10 minutes has been allowed to elapse, prior
  1.021  DISP         to beginning verification.

  1.022  HEAD         COMMUNICATION SETUP
  1.023  TARGET
  1.024  CALL         Sub Tek TBS1000 USB Remote Interface Connection
  1.025  VISA         *RST

  1.026  HEAD         DUT IDENTIFICATION
  1.027  MATH         @DUT_Model = "TBS 1104"
  1.028  MATH         @DUT_Manufacturer = "Tektronix"
  1.029  CALL         Sub IEEE-488.2 *IDN? VISA
  1.030  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.031  JMPL         END                          @Abort

  1.032  CALL         Sub Tek TBS1000 Specifications

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.033  MATH         @IsMultiHead = 5
  1.034  CALL         Sub Tek TBS1000 Self-Test VISA
  1.035  JMPL         END                          @Abort
  1.036  CALL         Sub Tek TBS1000 Sig Path Comp Cal VISA
  1.037  JMPL         END                          @Abort

  1.038  MATH         @Chan = 1
  1.039  M9500                       CH1
  1.040  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9500

  1.041  MATH         @Chan = 2
  1.042  M9500                       CH2
  1.043  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9500

  1.044  MATH         @Chan = 3
  1.045  M9500                       CH3
  1.046  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9500

  1.047  MATH         @Chan = 4
  1.048  M9500                       CH4
  1.049  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9500

  1.050  MATH         @Chan = 1
  1.051  M9500                       CH1
  1.050  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9500

  1.052  MATH         @Chan = 2
  1.053  M9500                       CH2
  1.053  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9500

  1.054  MATH         @Chan = 3
  1.055  M9500                       CH3
  1.058  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9500

  1.056  MATH         @Chan = 4
  1.057  M9500                       CH4
  1.061  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9500

  1.058  MATH         @Chan = 1
  1.059  M9500                       CH1
  1.066  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9500

  1.060  MATH         @Chan = 2
  1.061  M9500                       CH2
  1.069  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9500

  1.062  MATH         @Chan = 3
  1.063  M9500                       CH3
  1.074  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9500

  1.064  MATH         @Chan = 4
  1.065  M9500                       CH4
  1.077  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9500
  1.066  JMPL         VERTICAL_POSITION

  1.067  LABEL        EXT_TRIG
  1.068  MATH         @Chan = 1
  1.069  M9500                       CH15
  1.070  CALL         Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd

  1.071  MATH         @Chan = 2
  1.072  M9500                       CH25
  1.073  CALL         Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd

  1.074  MATH         @Chan = 3
  1.075  M9500                       CH35
  1.076  CALL         Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd

  1.077  MATH         @Chan = 4
  1.078  M9500                       CH45
  1.079  CALL         Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd
  1.080  JMPL         END

  1.081  LABEL        SAMPLE_RATE_DELAY_TIME
  1.082  MATH         @Chan = 1
  1.083  M9500                       CH1
  1.098  CALL         Sub Tek TBS1000 (1 yr) Sample Rate VISA /9500
  1.084  JMPL         EXT_TRIG

  1.085  LABEL        VERTICAL_POSITION
  1.086  MATH         @Chan = 1
  1.087  M9500                       CH1
  1.103  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /9500

  1.088  MATH         @Chan = 2
  1.089  M9500                       CH2
  1.106  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /9500

  1.090  MATH         @Chan = 3
  1.091  M9500                       CH3
  1.111  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /9500

  1.092  MATH         @Chan = 4
  1.093  M9500                       CH4
  1.114  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /9500
  1.094  JMPL         SAMPLE_RATE_DELAY_TIME

  1.095  LABEL        END

  1.096  IF           @Abort
  1.097  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.098  ENDIF

  1.099  VISA         *RST
  1.100  END
